- name: apt update; apt upgrade
  apt:
    upgrade: dist
    update_cache: yes
  become: yes

- name: apt install apt-transport-https ca-certificates curl gnupg-agent software-properties-common
  apt:
    name: "{{ packages }}"
  vars:
    packages:
    - apt-transport-https
    - ca-certificates
    - curl
    - gnupg-agent
    - software-properties-common
  become: yes

- name: curl https://download.docker.com/linux/ubuntu/gpg
  get_url:
    url: https://download.docker.com/linux/ubuntu/gpg
    dest: /tmp/docker.gpg

- name: apt-key add gpg
  apt_key:
    id: 9DC858229FC7DD38854AE2D88D81803C0EBFCD88
    file: /tmp/docker.gpg
    state: present
  become: yes

- name: add-apt-repository deb [arch=amd64] https://download.docker.com/linux/ubuntu bionic stable
  apt_repository:
    repo: deb [arch=amd64] https://download.docker.com/linux/ubuntu bionic stable
    state: present
  become: yes

- name: apt install docker-ce docker-ce-cli container.io
  apt:
    name: "{{ packages }}"
    state: present
    update_cache: yes
  vars:
    packages:
    - "docker-ce=5:18.09.9~3-0~ubuntu-bionic"
    - "docker-ce-cli=5:18.09.9~3-0~ubuntu-bionic"
    - containerd.io
  become: yes

- name: apt-mark hold docker-ce docker-ce-cli
  shell: apt-mark hold docker-ce docker-ce-cli
  become: yes

- name: apt autoclean
  apt:
    autoclean: yes
  become: yes

- name: apt autoremove
  apt:
    autoremove: yes
  become: yes
